> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Agent

> Delete an agent and unassign any associated phone numbers



## OpenAPI

````yaml DELETE /agent/{agent_id}/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /agent/{agent_id}/:
    delete:
      summary: Delete Agent
      description: Delete an agent and unassign any associated phone numbers
      parameters:
        - name: agent_id
          in: path
          description: The ID of the agent to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Agent deleted successfully
        '401':
          description: Unauthorized - Invalid or missing API key
        '403':
          description: Forbidden - Insufficient permissions (requires level 2)
        '404':
          description: Agent not found
      security:
        - CompanyApiKey: []
components:
  securitySchemes:
    CompanyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Company API Key

````